play.cache

## Interface CacheImpl

All Known Implementing Classes:
  EhCacheImpl, MemcachedImpl

    public interface CacheImpl

A cache implementation. expiration is specified in seconds

See Also:
  `Cache`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(java.lang.String key, java.lang.Object value, int expiration)`
`void` `clear()`
`long` `decr(java.lang.String key, int by)`
`void` `delete(java.lang.String key)`
`java.lang.Object` `get(java.lang.String key)`
`java.util.Map<java.lang.String,java.lang.Object>` `get(java.lang.String[] keys)`
`long` `incr(java.lang.String key, int by)`
`void` `replace(java.lang.String key, java.lang.Object value, int expiration)`
`boolean` `safeAdd(java.lang.String key, java.lang.Object value, int expiration)`
`boolean` `safeDelete(java.lang.String key)`
`boolean` `safeReplace(java.lang.String key, java.lang.Object value, int expiration)`
`boolean` `safeSet(java.lang.String key, java.lang.Object value, int expiration)`
`void` `set(java.lang.String key, java.lang.Object value, int expiration)`
`void` `stop()`

### Method Detail

#### add

    void add(java.lang.String key,
             java.lang.Object value,
             int expiration)

#### safeAdd

    boolean safeAdd(java.lang.String key,
                    java.lang.Object value,
                    int expiration)

#### set

    void set(java.lang.String key,
             java.lang.Object value,
             int expiration)

#### safeSet

    boolean safeSet(java.lang.String key,
                    java.lang.Object value,
                    int expiration)

#### replace

    void replace(java.lang.String key,
                 java.lang.Object value,
                 int expiration)

#### safeReplace

    boolean safeReplace(java.lang.String key,
                        java.lang.Object value,
                        int expiration)

#### get

    java.lang.Object get(java.lang.String key)

#### get

    java.util.Map<java.lang.String,java.lang.Object> get(java.lang.String[] keys)

#### incr

    long incr(java.lang.String key,
              int by)

#### decr

    long decr(java.lang.String key,
              int by)

#### clear

    void clear()

#### delete

    void delete(java.lang.String key)

#### safeDelete

    boolean safeDelete(java.lang.String key)

#### stop

    void stop()